source: squid-ssl/trunk/fuentes/helpers/negotiate_auth/SSPI/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 40.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = negotiate_sspi_auth$(EXEEXT)
95subdir = helpers/negotiate_auth/SSPI
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_negotiate_sspi_auth_OBJECTS = negotiate_sspi_auth.$(OBJEXT)
165negotiate_sspi_auth_OBJECTS = $(am_negotiate_sspi_auth_OBJECTS)
166negotiate_sspi_auth_LDADD = $(LDADD)
167@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171negotiate_sspi_auth_DEPENDENCIES =  \
172        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
173        $(am__DEPENDENCIES_3)
174AM_V_lt = $(am__v_lt_@AM_V@)
175am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
176am__v_lt_0 = --silent
177am__v_lt_1 =
178AM_V_P = $(am__v_P_@AM_V@)
179am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
180am__v_P_0 = false
181am__v_P_1 = :
182AM_V_GEN = $(am__v_GEN_@AM_V@)
183am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
184am__v_GEN_0 = @echo "  GEN     " $@;
185am__v_GEN_1 =
186AM_V_at = $(am__v_at_@AM_V@)
187am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
188am__v_at_0 = @
189am__v_at_1 =
190DEFAULT_INCLUDES =
191depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
192am__depfiles_maybe = depfiles
193am__mv = mv -f
194CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
195        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
196LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
197        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
198        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
199        $(AM_CXXFLAGS) $(CXXFLAGS)
200AM_V_CXX = $(am__v_CXX_@AM_V@)
201am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
202am__v_CXX_0 = @echo "  CXX     " $@;
203am__v_CXX_1 =
204CXXLD = $(CXX)
205CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
206        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
207        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
208AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
209am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
210am__v_CXXLD_0 = @echo "  CXXLD   " $@;
211am__v_CXXLD_1 =
212SOURCES = $(negotiate_sspi_auth_SOURCES)
213DIST_SOURCES = $(negotiate_sspi_auth_SOURCES)
214am__can_run_installinfo = \
215  case $$AM_UPDATE_INFO_DIR in \
216    n|no|NO) false;; \
217    *) (install-info --version) >/dev/null 2>&1;; \
218  esac
219am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
220# Read a list of newline-separated strings from the standard input,
221# and print each of them once, without duplicates.  Input order is
222# *not* preserved.
223am__uniquify_input = $(AWK) '\
224  BEGIN { nonempty = 0; } \
225  { items[$$0] = 1; nonempty = 1; } \
226  END { if (nonempty) { for (i in items) print i; }; } \
227'
228# Make sure the list of sources is unique.  This is necessary because,
229# e.g., the same source file might be shared among _SOURCES variables
230# for different programs/libraries.
231am__define_uniq_tagged_files = \
232  list='$(am__tagged_files)'; \
233  unique=`for i in $$list; do \
234    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
235  done | $(am__uniquify_input)`
236ETAGS = etags
237CTAGS = ctags
238am__tty_colors_dummy = \
239  mgn= red= grn= lgn= blu= brg= std=; \
240  am__color_tests=no
241am__tty_colors = { \
242  $(am__tty_colors_dummy); \
243  if test "X$(AM_COLOR_TESTS)" = Xno; then \
244    am__color_tests=no; \
245  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
246    am__color_tests=yes; \
247  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
248    am__color_tests=yes; \
249  fi; \
250  if test $$am__color_tests = yes; then \
251    red='[0;31m'; \
252    grn='[0;32m'; \
253    lgn='[1;32m'; \
254    blu='[1;34m'; \
255    mgn='[0;35m'; \
256    brg='[1m'; \
257    std='[m'; \
258  fi; \
259}
260am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
261am__vpath_adj = case $$p in \
262    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
263    *) f=$$p;; \
264  esac;
265am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
266am__install_max = 40
267am__nobase_strip_setup = \
268  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
269am__nobase_strip = \
270  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
271am__nobase_list = $(am__nobase_strip_setup); \
272  for p in $$list; do echo "$$p $$p"; done | \
273  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
274  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
275    if (++n[$$2] == $(am__install_max)) \
276      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
277    END { for (dir in files) print dir, files[dir] }'
278am__base_list = \
279  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
280  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
281am__uninstall_files_from_dir = { \
282  test -z "$$files" \
283    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
284    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
285         $(am__cd) "$$dir" && rm -f $$files; }; \
286  }
287am__recheck_rx = ^[     ]*:recheck:[    ]*
288am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
289am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
290# A command that, given a newline-separated list of test names on the
291# standard input, print the name of the tests that are to be re-run
292# upon "make recheck".
293am__list_recheck_tests = $(AWK) '{ \
294  recheck = 1; \
295  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
296    { \
297      if (rc < 0) \
298        { \
299          if ((getline line2 < ($$0 ".log")) < 0) \
300            recheck = 0; \
301          break; \
302        } \
303      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
304        { \
305          recheck = 0; \
306          break; \
307        } \
308      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
309        { \
310          break; \
311        } \
312    }; \
313  if (recheck) \
314    print $$0; \
315  close ($$0 ".trs"); \
316  close ($$0 ".log"); \
317}'
318# A command that, given a newline-separated list of test names on the
319# standard input, create the global log from their .trs and .log files.
320am__create_global_log = $(AWK) ' \
321function fatal(msg) \
322{ \
323  print "fatal: making $@: " msg | "cat >&2"; \
324  exit 1; \
325} \
326function rst_section(header) \
327{ \
328  print header; \
329  len = length(header); \
330  for (i = 1; i <= len; i = i + 1) \
331    printf "="; \
332  printf "\n\n"; \
333} \
334{ \
335  copy_in_global_log = 1; \
336  global_test_result = "RUN"; \
337  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
338    { \
339      if (rc < 0) \
340         fatal("failed to read from " $$0 ".trs"); \
341      if (line ~ /$(am__global_test_result_rx)/) \
342        { \
343          sub("$(am__global_test_result_rx)", "", line); \
344          sub("[        ]*$$", "", line); \
345          global_test_result = line; \
346        } \
347      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
348        copy_in_global_log = 0; \
349    }; \
350  if (copy_in_global_log) \
351    { \
352      rst_section(global_test_result ": " $$0); \
353      while ((rc = (getline line < ($$0 ".log"))) != 0) \
354      { \
355        if (rc < 0) \
356          fatal("failed to read from " $$0 ".log"); \
357        print line; \
358      }; \
359      printf "\n"; \
360    }; \
361  close ($$0 ".trs"); \
362  close ($$0 ".log"); \
363}'
364# Restructured Text title.
365am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
366# Solaris 10 'make', and several other traditional 'make' implementations,
367# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
368# by disabling -e (using the XSI extension "set +e") if it's set.
369am__sh_e_setup = case $$- in *e*) set +e;; esac
370# Default flags passed to test drivers.
371am__common_driver_flags = \
372  --color-tests "$$am__color_tests" \
373  --enable-hard-errors "$$am__enable_hard_errors" \
374  --expect-failure "$$am__expect_failure"
375# To be inserted before the command running the test.  Creates the
376# directory for the log if needed.  Stores in $dir the directory
377# containing $f, in $tst the test, in $log the log.  Executes the
378# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
379# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
380# will run the test scripts (or their associated LOG_COMPILER, if
381# thy have one).
382am__check_pre = \
383$(am__sh_e_setup);                                      \
384$(am__vpath_adj_setup) $(am__vpath_adj)                 \
385$(am__tty_colors);                                      \
386srcdir=$(srcdir); export srcdir;                        \
387case "$@" in                                            \
388  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
389    *) am__odir=.;;                                     \
390esac;                                                   \
391test "x$$am__odir" = x"." || test -d "$$am__odir"       \
392  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
393if test -f "./$$f"; then dir=./;                        \
394elif test -f "$$f"; then dir=;                          \
395else dir="$(srcdir)/"; fi;                              \
396tst=$$dir$$f; log='$@';                                 \
397if test -n '$(DISABLE_HARD_ERRORS)'; then               \
398  am__enable_hard_errors=no;                            \
399else                                                    \
400  am__enable_hard_errors=yes;                           \
401fi;                                                     \
402case " $(XFAIL_TESTS) " in                              \
403  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
404    am__expect_failure=yes;;                            \
405  *)                                                    \
406    am__expect_failure=no;;                             \
407esac;                                                   \
408$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
409# A shell command to get the names of the tests scripts with any registered
410# extension removed (i.e., equivalently, the names of the test logs, with
411# the '.log' extension removed).  The result is saved in the shell variable
412# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
413# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
414# since that might cause problem with VPATH rewrites for suffix-less tests.
415# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
416am__set_TESTS_bases = \
417  bases='$(TEST_LOGS)'; \
418  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
419  bases=`echo $$bases`
420RECHECK_LOGS = $(TEST_LOGS)
421AM_RECURSIVE_TARGETS = check recheck
422TEST_SUITE_LOG = test-suite.log
423TEST_EXTENSIONS = @EXEEXT@ .test
424am__test_logs1 = $(TESTS:=.log)
425am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
426TEST_LOGS = $(am__test_logs2:.test.log=.log)
427TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
428TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
429        $(TEST_LOG_FLAGS)
430am__set_b = \
431  case '$@' in \
432    */*) \
433      case '$*' in \
434        */*) b='$*';; \
435          *) b=`echo '$@' | sed 's/\.log$$//'`; \
436       esac;; \
437    *) \
438      b='$*';; \
439  esac
440am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
441        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
442DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
443ACLOCAL = @ACLOCAL@
444ADAPTATION_LIBS = @ADAPTATION_LIBS@
445ALLOCA = @ALLOCA@
446AMTAR = @AMTAR@
447AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
448AR = @AR@
449ARGZ_H = @ARGZ_H@
450AR_R = @AR_R@
451AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
452AUTH_MODULES = @AUTH_MODULES@
453AUTOCONF = @AUTOCONF@
454AUTOHEADER = @AUTOHEADER@
455AUTOMAKE = @AUTOMAKE@
456AWK = @AWK@
457BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
458BUILDCXX = @BUILDCXX@
459BUILDCXXFLAGS = @BUILDCXXFLAGS@
460BZR = @BZR@
461CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
462CC = @CC@
463CCDEPMODE = @CCDEPMODE@
464CFLAGS = @CFLAGS@
465CGIEXT = @CGIEXT@
466CHMOD = @CHMOD@
467CPP = @CPP@
468CPPFLAGS = @CPPFLAGS@
469CPPUNITCONFIG = @CPPUNITCONFIG@
470CRYPTLIB = @CRYPTLIB@
471CXX = @CXX@
472CXXCPP = @CXXCPP@
473CXXDEPMODE = @CXXDEPMODE@
474CXXFLAGS = @CXXFLAGS@
475CYGPATH_W = @CYGPATH_W@
476DEFAULT_HOSTS = @DEFAULT_HOSTS@
477DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
478DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
479DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
480DEFS = @DEFS@
481DEPDIR = @DEPDIR@
482DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
483DISK_LIBS = @DISK_LIBS@
484DISK_LINKOBJS = @DISK_LINKOBJS@
485DISK_MODULES = @DISK_MODULES@
486DISK_OS_LIBS = @DISK_OS_LIBS@
487DISK_PROGRAMS = @DISK_PROGRAMS@
488DLLTOOL = @DLLTOOL@
489DSYMUTIL = @DSYMUTIL@
490DUMPBIN = @DUMPBIN@
491ECAP_LIBS = @ECAP_LIBS@
492ECHO_C = @ECHO_C@
493ECHO_N = @ECHO_N@
494ECHO_T = @ECHO_T@
495EGREP = @EGREP@
496EPOLL_LIBS = @EPOLL_LIBS@
497EUILIB = @EUILIB@
498EXEEXT = @EXEEXT@
499EXPATLIB = @EXPATLIB@
500EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
501EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
502EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
503FALSE = @FALSE@
504FGREP = @FGREP@
505GREP = @GREP@
506HAVE_CXX11 = @HAVE_CXX11@
507ICAP_LIBS = @ICAP_LIBS@
508INCLTDL = @INCLTDL@
509INSTALL = @INSTALL@
510INSTALL_DATA = @INSTALL_DATA@
511INSTALL_PROGRAM = @INSTALL_PROGRAM@
512INSTALL_SCRIPT = @INSTALL_SCRIPT@
513INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
514KRB5INCS = @KRB5INCS@
515KRB5LIBS = @KRB5LIBS@
516LBERLIB = @LBERLIB@
517LD = @LD@
518LDAPLIB = @LDAPLIB@
519LDFLAGS = @LDFLAGS@
520LIBADD_DL = @LIBADD_DL@
521LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
522LIBADD_DLOPEN = @LIBADD_DLOPEN@
523LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
524LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
525LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
526LIBLTDL = @LIBLTDL@
527LIBOBJS = @LIBOBJS@
528LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
529LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
530LIBS = @LIBS@
531LIBSASL = @LIBSASL@
532LIBTOOL = @LIBTOOL@
533LIB_DB = @LIB_DB@
534LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
535LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
536LINUXDOC = @LINUXDOC@
537LIPO = @LIPO@
538LN = @LN@
539LN_S = @LN_S@
540LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
541LTDLDEPS = @LTDLDEPS@
542LTDLINCL = @LTDLINCL@
543LTDLOPEN = @LTDLOPEN@
544LTLIBOBJS = @LTLIBOBJS@
545LT_CONFIG_H = @LT_CONFIG_H@
546LT_DLLOADERS = @LT_DLLOADERS@
547LT_DLPREOPEN = @LT_DLPREOPEN@
548MAINT = @MAINT@
549MAKEINFO = @MAKEINFO@
550MANIFEST_TOOL = @MANIFEST_TOOL@
551MINGW_LIBS = @MINGW_LIBS@
552MKDIR = @MKDIR@
553MKDIR_P = @MKDIR_P@
554MV = @MV@
555NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
556NETTLELIB = @NETTLELIB@
557NM = @NM@
558NMEDIT = @NMEDIT@
559NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
560OBJDUMP = @OBJDUMP@
561OBJEXT = @OBJEXT@
562OTOOL = @OTOOL@
563OTOOL64 = @OTOOL64@
564PACKAGE = @PACKAGE@
565PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
566PACKAGE_NAME = @PACKAGE_NAME@
567PACKAGE_STRING = @PACKAGE_STRING@
568PACKAGE_TARNAME = @PACKAGE_TARNAME@
569PACKAGE_URL = @PACKAGE_URL@
570PACKAGE_VERSION = @PACKAGE_VERSION@
571PATH_SEPARATOR = @PATH_SEPARATOR@
572PERL = @PERL@
573PKG_CONFIG = @PKG_CONFIG@
574PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
575PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
576PO2HTML = @PO2HTML@
577PO2TEXT = @PO2TEXT@
578POD2MAN = @POD2MAN@
579RANLIB = @RANLIB@
580REGEXLIB = @REGEXLIB@
581REPL_LIBS = @REPL_LIBS@
582REPL_OBJS = @REPL_OBJS@
583REPL_POLICIES = @REPL_POLICIES@
584RM = @RM@
585SED = @SED@
586SET_MAKE = @SET_MAKE@
587SH = @SH@
588SHELL = @SHELL@
589SMBCLIENT = @SMBCLIENT@
590SNMPLIB = @SNMPLIB@
591SQUID_CFLAGS = @SQUID_CFLAGS@
592SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
593SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
594SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
595SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
596SSLLIB = @SSLLIB@
597STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
598STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
599STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
600STORE_TESTS = @STORE_TESTS@
601STRIP = @STRIP@
602TR = @TR@
603TRUE = @TRUE@
604URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
605VERSION = @VERSION@
606WBINFO = @WBINFO@
607WIN32_PSAPI = @WIN32_PSAPI@
608XMLLIB = @XMLLIB@
609XTRA_LIBS = @XTRA_LIBS@
610XTRA_OBJS = @XTRA_OBJS@
611abs_builddir = @abs_builddir@
612abs_srcdir = @abs_srcdir@
613abs_top_builddir = @abs_top_builddir@
614abs_top_srcdir = @abs_top_srcdir@
615ac_ct_AR = @ac_ct_AR@
616ac_ct_CC = @ac_ct_CC@
617ac_ct_CXX = @ac_ct_CXX@
618ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
619am__include = @am__include@
620am__leading_dot = @am__leading_dot@
621am__quote = @am__quote@
622am__tar = @am__tar@
623am__untar = @am__untar@
624bindir = @bindir@
625build = @build@
626build_alias = @build_alias@
627build_cpu = @build_cpu@
628build_os = @build_os@
629build_vendor = @build_vendor@
630builddir = @builddir@
631datadir = @datadir@
632datarootdir = @datarootdir@
633docdir = @docdir@
634dvidir = @dvidir@
635exec_prefix = @exec_prefix@
636host = @host@
637host_alias = @host_alias@
638host_cpu = @host_cpu@
639host_os = @host_os@
640host_vendor = @host_vendor@
641htmldir = @htmldir@
642includedir = @includedir@
643infodir = @infodir@
644install_sh = @install_sh@
645krb5_config = @krb5_config@
646libdir = @libdir@
647libexecdir = @libexecdir@
648localedir = @localedir@
649localstatedir = @localstatedir@
650ltdl_LIBOBJS = @ltdl_LIBOBJS@
651ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
652mandir = @mandir@
653mkdir_p = @mkdir_p@
654oldincludedir = @oldincludedir@
655pdfdir = @pdfdir@
656prefix = @prefix@
657program_transform_name = @program_transform_name@
658psdir = @psdir@
659runstatedir = @runstatedir@
660sbindir = @sbindir@
661sharedstatedir = @sharedstatedir@
662srcdir = @srcdir@
663subdirs = @subdirs@
664sys_symbol_underscore = @sys_symbol_underscore@
665sysconfdir = @sysconfdir@
666target_alias = @target_alias@
667top_build_prefix = @top_build_prefix@
668top_builddir = @top_builddir@
669top_srcdir = @top_srcdir@
670AM_CFLAGS = $(SQUID_CFLAGS)
671AM_CXXFLAGS = $(SQUID_CXXFLAGS)
672CLEANFILES =
673AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
674        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
675        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
676        $(am__append_1)
677@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
678@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
679COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
680subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
681negotiate_sspi_auth_SOURCES = negotiate_sspi_auth.cc
682LDADD = \
683        -L$(top_builddir)/lib -lsspwin32 \
684        $(top_builddir)/lib/libmiscencoding.la \
685        $(COMPAT_LIB) \
686        -ladvapi32 \
687        $(XTRA_LIBS)
688
689EXTRA_DIST = readme.txt required.m4
690all: all-am
691
692.SUFFIXES:
693.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
694$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
695        @for dep in $?; do \
696          case '$(am__configure_deps)' in \
697            *$$dep*) \
698              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
699                && { if test -f $@; then exit 0; else break; fi; }; \
700              exit 1;; \
701          esac; \
702        done; \
703        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/negotiate_auth/SSPI/Makefile'; \
704        $(am__cd) $(top_srcdir) && \
705          $(AUTOMAKE) --foreign helpers/negotiate_auth/SSPI/Makefile
706Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
707        @case '$?' in \
708          *config.status*) \
709            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
710          *) \
711            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
712            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
713        esac;
714$(top_srcdir)/src/Common.am $(am__empty):
715
716$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
717        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
718
719$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
720        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
721$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
722        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
723$(am__aclocal_m4_deps):
724
725clean-checkPROGRAMS:
726        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
727        echo " rm -f" $$list; \
728        rm -f $$list || exit $$?; \
729        test -n "$(EXEEXT)" || exit 0; \
730        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
731        echo " rm -f" $$list; \
732        rm -f $$list
733install-libexecPROGRAMS: $(libexec_PROGRAMS)
734        @$(NORMAL_INSTALL)
735        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
736        if test -n "$$list"; then \
737          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
738          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
739        fi; \
740        for p in $$list; do echo "$$p $$p"; done | \
741        sed 's/$(EXEEXT)$$//' | \
742        while read p p1; do if test -f $$p \
743         || test -f $$p1 \
744          ; then echo "$$p"; echo "$$p"; else :; fi; \
745        done | \
746        sed -e 'p;s,.*/,,;n;h' \
747            -e 's|.*|.|' \
748            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
749        sed 'N;N;N;s,\n, ,g' | \
750        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
751          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
752            if ($$2 == $$4) files[d] = files[d] " " $$1; \
753            else { print "f", $$3 "/" $$4, $$1; } } \
754          END { for (d in files) print "f", d, files[d] }' | \
755        while read type dir files; do \
756            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
757            test -z "$$files" || { \
758            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
759            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
760            } \
761        ; done
762
763uninstall-libexecPROGRAMS:
764        @$(NORMAL_UNINSTALL)
765        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
766        files=`for p in $$list; do echo "$$p"; done | \
767          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
768              -e 's/$$/$(EXEEXT)/' \
769        `; \
770        test -n "$$list" || exit 0; \
771        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
772        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
773
774clean-libexecPROGRAMS:
775        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
776        echo " rm -f" $$list; \
777        rm -f $$list || exit $$?; \
778        test -n "$(EXEEXT)" || exit 0; \
779        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
780        echo " rm -f" $$list; \
781        rm -f $$list
782
783negotiate_sspi_auth$(EXEEXT): $(negotiate_sspi_auth_OBJECTS) $(negotiate_sspi_auth_DEPENDENCIES) $(EXTRA_negotiate_sspi_auth_DEPENDENCIES)
784        @rm -f negotiate_sspi_auth$(EXEEXT)
785        $(AM_V_CXXLD)$(CXXLINK) $(negotiate_sspi_auth_OBJECTS) $(negotiate_sspi_auth_LDADD) $(LIBS)
786
787mostlyclean-compile:
788        -rm -f *.$(OBJEXT)
789
790distclean-compile:
791        -rm -f *.tab.c
792
793@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/negotiate_sspi_auth.Po@am__quote@
794
795.cc.o:
796@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
797@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
798@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
799@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
800@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
801@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
802
803.cc.obj:
804@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
805@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
806@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
807@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
808@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
809@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
810
811.cc.lo:
812@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
813@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
814@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
815@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
816@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
817@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
818
819mostlyclean-libtool:
820        -rm -f *.lo
821
822clean-libtool:
823        -rm -rf .libs _libs
824
825ID: $(am__tagged_files)
826        $(am__define_uniq_tagged_files); mkid -fID $$unique
827tags: tags-am
828TAGS: tags
829
830tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
831        set x; \
832        here=`pwd`; \
833        $(am__define_uniq_tagged_files); \
834        shift; \
835        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
836          test -n "$$unique" || unique=$$empty_fix; \
837          if test $$# -gt 0; then \
838            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
839              "$$@" $$unique; \
840          else \
841            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
842              $$unique; \
843          fi; \
844        fi
845ctags: ctags-am
846
847CTAGS: ctags
848ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
849        $(am__define_uniq_tagged_files); \
850        test -z "$(CTAGS_ARGS)$$unique" \
851          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
852             $$unique
853
854GTAGS:
855        here=`$(am__cd) $(top_builddir) && pwd` \
856          && $(am__cd) $(top_srcdir) \
857          && gtags -i $(GTAGS_ARGS) "$$here"
858cscopelist: cscopelist-am
859
860cscopelist-am: $(am__tagged_files)
861        list='$(am__tagged_files)'; \
862        case "$(srcdir)" in \
863          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
864          *) sdir=$(subdir)/$(srcdir) ;; \
865        esac; \
866        for i in $$list; do \
867          if test -f "$$i"; then \
868            echo "$(subdir)/$$i"; \
869          else \
870            echo "$$sdir/$$i"; \
871          fi; \
872        done >> $(top_builddir)/cscope.files
873
874distclean-tags:
875        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
876
877# Recover from deleted '.trs' file; this should ensure that
878# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
879# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
880# to avoid problems with "make -n".
881.log.trs:
882        rm -f $< $@
883        $(MAKE) $(AM_MAKEFLAGS) $<
884
885# Leading 'am--fnord' is there to ensure the list of targets does not
886# expand to empty, as could happen e.g. with make check TESTS=''.
887am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
888am--force-recheck:
889        @:
890
891$(TEST_SUITE_LOG): $(TEST_LOGS)
892        @$(am__set_TESTS_bases); \
893        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
894        redo_bases=`for i in $$bases; do \
895                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
896                    done`; \
897        if test -n "$$redo_bases"; then \
898          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
899          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
900          if $(am__make_dryrun); then :; else \
901            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
902          fi; \
903        fi; \
904        if test -n "$$am__remaking_logs"; then \
905          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
906               "recursion detected" >&2; \
907        elif test -n "$$redo_logs"; then \
908          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
909        fi; \
910        if $(am__make_dryrun); then :; else \
911          st=0;  \
912          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
913          for i in $$redo_bases; do \
914            test -f $$i.trs && test -r $$i.trs \
915              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
916            test -f $$i.log && test -r $$i.log \
917              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
918          done; \
919          test $$st -eq 0 || exit 1; \
920        fi
921        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
922        ws='[   ]'; \
923        results=`for b in $$bases; do echo $$b.trs; done`; \
924        test -n "$$results" || results=/dev/null; \
925        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
926        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
927        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
928        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
929        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
930        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
931        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
932        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
933          success=true; \
934        else \
935          success=false; \
936        fi; \
937        br='==================='; br=$$br$$br$$br$$br; \
938        result_count () \
939        { \
940            if test x"$$1" = x"--maybe-color"; then \
941              maybe_colorize=yes; \
942            elif test x"$$1" = x"--no-color"; then \
943              maybe_colorize=no; \
944            else \
945              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
946            fi; \
947            shift; \
948            desc=$$1 count=$$2; \
949            if test $$maybe_colorize = yes && test $$count -gt 0; then \
950              color_start=$$3 color_end=$$std; \
951            else \
952              color_start= color_end=; \
953            fi; \
954            echo "$${color_start}# $$desc $$count$${color_end}"; \
955        }; \
956        create_testsuite_report () \
957        { \
958          result_count $$1 "TOTAL:" $$all   "$$brg"; \
959          result_count $$1 "PASS: " $$pass  "$$grn"; \
960          result_count $$1 "SKIP: " $$skip  "$$blu"; \
961          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
962          result_count $$1 "FAIL: " $$fail  "$$red"; \
963          result_count $$1 "XPASS:" $$xpass "$$red"; \
964          result_count $$1 "ERROR:" $$error "$$mgn"; \
965        }; \
966        {                                                               \
967          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
968            $(am__rst_title);                                           \
969          create_testsuite_report --no-color;                           \
970          echo;                                                         \
971          echo ".. contents:: :depth: 2";                               \
972          echo;                                                         \
973          for b in $$bases; do echo $$b; done                           \
974            | $(am__create_global_log);                                 \
975        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
976        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
977        if $$success; then                                              \
978          col="$$grn";                                                  \
979         else                                                           \
980          col="$$red";                                                  \
981          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
982        fi;                                                             \
983        echo "$${col}$$br$${std}";                                      \
984        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
985        echo "$${col}$$br$${std}";                                      \
986        create_testsuite_report --maybe-color;                          \
987        echo "$$col$$br$$std";                                          \
988        if $$success; then :; else                                      \
989          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
990          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
991            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
992          fi;                                                           \
993          echo "$$col$$br$$std";                                        \
994        fi;                                                             \
995        $$success || exit 1
996
997check-TESTS:
998        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
999        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1000        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1001        @set +e; $(am__set_TESTS_bases); \
1002        log_list=`for i in $$bases; do echo $$i.log; done`; \
1003        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1004        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1005        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1006        exit $$?;
1007recheck: all $(check_PROGRAMS)
1008        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1009        @set +e; $(am__set_TESTS_bases); \
1010        bases=`for i in $$bases; do echo $$i; done \
1011                 | $(am__list_recheck_tests)` || exit 1; \
1012        log_list=`for i in $$bases; do echo $$i.log; done`; \
1013        log_list=`echo $$log_list`; \
1014        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1015                am__force_recheck=am--force-recheck \
1016                TEST_LOGS="$$log_list"; \
1017        exit $$?
1018.test.log:
1019        @p='$<'; \
1020        $(am__set_b); \
1021        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1022        --log-file $$b.log --trs-file $$b.trs \
1023        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1024        "$$tst" $(AM_TESTS_FD_REDIRECT)
1025@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1026@am__EXEEXT_TRUE@       @p='$<'; \
1027@am__EXEEXT_TRUE@       $(am__set_b); \
1028@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1029@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1030@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1031@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1032
1033distdir: $(DISTFILES)
1034        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1035        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1036        list='$(DISTFILES)'; \
1037          dist_files=`for file in $$list; do echo $$file; done | \
1038          sed -e "s|^$$srcdirstrip/||;t" \
1039              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1040        case $$dist_files in \
1041          */*) $(MKDIR_P) `echo "$$dist_files" | \
1042                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1043                           sort -u` ;; \
1044        esac; \
1045        for file in $$dist_files; do \
1046          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1047          if test -d $$d/$$file; then \
1048            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1049            if test -d "$(distdir)/$$file"; then \
1050              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1051            fi; \
1052            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1053              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1054              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1055            fi; \
1056            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1057          else \
1058            test -f "$(distdir)/$$file" \
1059            || cp -p $$d/$$file "$(distdir)/$$file" \
1060            || exit 1; \
1061          fi; \
1062        done
1063check-am: all-am
1064        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1065        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1066check: check-am
1067all-am: Makefile $(PROGRAMS)
1068installdirs:
1069        for dir in "$(DESTDIR)$(libexecdir)"; do \
1070          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1071        done
1072install: install-am
1073install-exec: install-exec-am
1074install-data: install-data-am
1075uninstall: uninstall-am
1076
1077install-am: all-am
1078        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1079
1080installcheck: installcheck-am
1081install-strip:
1082        if test -z '$(STRIP)'; then \
1083          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1084            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1085              install; \
1086        else \
1087          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1088            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1089            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1090        fi
1091mostlyclean-generic:
1092        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1093        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1094        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1095
1096clean-generic:
1097        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1098
1099distclean-generic:
1100        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1101        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1102
1103maintainer-clean-generic:
1104        @echo "This command is intended for maintainers to use"
1105        @echo "it deletes files that may require special tools to rebuild."
1106clean: clean-am
1107
1108clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1109        clean-libtool mostlyclean-am
1110
1111distclean: distclean-am
1112        -rm -rf ./$(DEPDIR)
1113        -rm -f Makefile
1114distclean-am: clean-am distclean-compile distclean-generic \
1115        distclean-tags
1116
1117dvi: dvi-am
1118
1119dvi-am:
1120
1121html: html-am
1122
1123html-am:
1124
1125info: info-am
1126
1127info-am:
1128
1129install-data-am:
1130
1131install-dvi: install-dvi-am
1132
1133install-dvi-am:
1134
1135install-exec-am: install-libexecPROGRAMS
1136
1137install-html: install-html-am
1138
1139install-html-am:
1140
1141install-info: install-info-am
1142
1143install-info-am:
1144
1145install-man:
1146
1147install-pdf: install-pdf-am
1148
1149install-pdf-am:
1150
1151install-ps: install-ps-am
1152
1153install-ps-am:
1154
1155installcheck-am:
1156
1157maintainer-clean: maintainer-clean-am
1158        -rm -rf ./$(DEPDIR)
1159        -rm -f Makefile
1160maintainer-clean-am: distclean-am maintainer-clean-generic
1161
1162mostlyclean: mostlyclean-am
1163
1164mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1165        mostlyclean-libtool
1166
1167pdf: pdf-am
1168
1169pdf-am:
1170
1171ps: ps-am
1172
1173ps-am:
1174
1175uninstall-am: uninstall-libexecPROGRAMS
1176
1177.MAKE: check-am install-am install-strip
1178
1179.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1180        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1181        clean-libtool cscopelist-am ctags ctags-am distclean \
1182        distclean-compile distclean-generic distclean-libtool \
1183        distclean-tags distdir dvi dvi-am html html-am info info-am \
1184        install install-am install-data install-data-am install-dvi \
1185        install-dvi-am install-exec install-exec-am install-html \
1186        install-html-am install-info install-info-am \
1187        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1188        install-ps install-ps-am install-strip installcheck \
1189        installcheck-am installdirs maintainer-clean \
1190        maintainer-clean-generic mostlyclean mostlyclean-compile \
1191        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1192        recheck tags tags-am uninstall uninstall-am \
1193        uninstall-libexecPROGRAMS
1194
1195.PRECIOUS: Makefile
1196
1197
1198$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1199
1200# Tell versions [3.59,3.63) of GNU make to not export all variables.
1201# Otherwise a system limit (for SysV at least) may be exceeded.
1202.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.